PathwayDescription
Keywords: uk.ac.ic.doc.automed.p2p.PathwayDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class PathwayDescription

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.PathwayDescription

    public class PathwayDescription

extends java.lang.Object

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`PathwayDescription(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage reply)` Edited by dmle on 9/11/2005 to cater for cases where there are multiple sets of pathways (i.e.

Method Summary
`java.lang.String` | `getFromSchema()`
`Root` | `getModelTree()` Return the models tree dmle 14/11/2005
`int` | `getNumPathWays()` return the number of pathways
`int` | `getQuality()`
`Root` | `getRoot()` Backward compatible method: return the first element by default
`Root[]` | `getRoots()` Get all roots
`java.lang.String` | `getSchema()`
`java.lang.String` | `getToSchema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayDescription

    public PathwayDescription(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage reply)
                       throws IllegalReplyException

  Edited by dmle on 9/11/2005 to cater for cases where there are multiple sets of pathways (i.e. multiple automed trees) are sent

  Throws:
    `IllegalReplyException`

Method Detail

### getFromSchema

    public java.lang.String getFromSchema()

### getQuality

    public int getQuality()

### getRoot

    public Root getRoot()

  Backward compatible method: return the first element by default

### getRoots

    public Root[] getRoots()

  Get all roots

### getToSchema

    public java.lang.String getToSchema()

### getSchema

    public java.lang.String getSchema()

### getNumPathWays

    public int getNumPathWays()

  return the number of pathways

### getModelTree

    public Root getModelTree()

  Return the models tree dmle 14/11/2005

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD